<?php

namespace Drupal\tmgmt_ec_etranslation;

use GuzzleHttp\Client;

/**
 * Factory for creating a HTTP client to be used with eTranslation.
 */
class ClientFactory {

  /**
   * Creates the HTTP client.
   */
  public function getClient(): Client {
    return new Client([
      'base_uri' => 'https://webgate.ec.europa.eu/',
    ]);
  }

}
